# Flyway Migration state of an instance

Flyway Migration state of an instance

Endpoint: GET /v1/orgs/{org}/projects/{project}/dbschema/{dbschema}/dbinstance/{dbinstance}/flyway/migrationstate
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Organization identifier

  - `project` (string, required)
    Project identifier

  - `dbschema` (string, required)
    Identifier of the database schema

  - `dbinstance` (string, required)
    database instance unique id

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to. This is required for Authorization methods other than the x-api-key header. If you are using the x-api-key header, this can be skipped.

## Query parameters:

  - `page` (integer)
    Pagination page number strategy: Specify the page number within the paginated collection related to the number of items on each page.

  - `limit` (integer)
    Pagination: Number of items to return.

  - `search_term` (string)
    This would be used to filter resources having attributes matching the search term.

## Response 200 fields (application/json):

  - `instanceName` (string, required)
    Name of the Instance

  - `migrations` (array)

  - `migrations.deployedAt` (integer, required)
    epoch seconds when the migration was applied

  - `migrations.description` (string)
    description from the migration script

  - `migrations.pipelineExecutionId` (string, required)
    pipeline execution Id of the pipeline execution

  - `migrations.pipelineIdentifier` (string, required)
    Pipeline Identifier of the pipeline

  - `migrations.stageExecutionId` (string, required)
    stage execution id of the pipeline execution

  - `migrations.status` (string, required)
    Status of change set deployment
    Enum: "Rolled_Back", "Successfully_Deployed", "Not_Deployed", "Deployment_Failed"

  - `migrations.type` (string, required)
    type of migration, whether baseline or actual script migration

  - `migrations.version` (string, required)
    version of flyway migration script

  - `schemaName` (string, required)
    Name of the Schema

## Response 400 fields (application/json):

  - `message` (string, required)
    error message detail


